cmake_minimum_required(VERSION 3.10)

project(EsriAssignment)

set(CMAKE_CXX_STANDARD 17)

find_package(Protobuf REQUIRED)
include_directories(${PROTOBUF_INCLUDE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(protocol_buffers_definitions)
include_directories(src)
add_subdirectory(src)

